# Package javax.mail.util

Jakarta Mail API utility classes. This package specifies utility classes that are useful with other Jakarta Mail APIs.

Class Summary
ByteArrayDataSource: A DataSource backed by a byte array.
SharedByteArrayInputStream: A ByteArrayInputStream that implements the SharedInputStream interface, allowing the underlying byte array to be shared between multiple readers.
SharedFileInputStream: A `SharedFileInputStream` is a `BufferedInputStream` that buffers data from the file and supports the `mark` and `reset` methods.

Exception Summary
ByteArrayDataSource: A DataSource backed by a byte array.
SharedByteArrayInputStream: A ByteArrayInputStream that implements the SharedInputStream interface, allowing the underlying byte array to be shared between multiple readers.
SharedFileInputStream: A `SharedFileInputStream` is a `BufferedInputStream` that buffers data from the file and supports the `mark` and `reset` methods.